Bug 575498 (perl-Plack, plack) - Review Request: plack - Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
Summary: Review Request: plack - Perl Superglue for Web frameworks and Web Servers (PS...
Keywords:
Status: CLOSED DUPLICATE of bug 664910
Alias: perl-Plack, plack
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Plack
Whiteboard:
Depends On: 575492 perl-Hash-MultiValue perl-Test-TCP perl-Test-Requires perl-CGI-Compile 575497 579070 581321 perl-IO-Handle-Util
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-21 00:35 UTC by Chris Weyl
Modified: 2010-12-23 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 15:49:38 UTC


Attachments (Terms of Use)

Description Chris Weyl 2010-03-21 00:35:05 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/plack.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/plack-0.9920-1.fc12.src.rpm

Description:
Plack is a set of tools for using the PSGI stack. It contains
middleware components, a reference server and utilities for web
application frameworks. Plack is like Ruby's Rack or Python's
Paste for WSGI.

See the PSGI manpage for the PSGI specification and the PSGI::FAQ
manpage to learn more about PSGI and Plack and why we need them.

*rt-0.10_01

Comment 1 Chris Weyl 2010-03-26 04:12:56 UTC
So, here's the dep tree as it stands (non-testing, and those not already in, at least).  The bug dep tree reflects these interdependencies.

perl-Plack
|- perl-Filesys-Notify-Simple
|  `- perl-Test-SharedFork
|- perl-Hash-MultiValue
|- perl-Test-Requires
`- perl-Test-TCP

There are a number of additional testing deps (optional) I should have up here by the time we're ready to review (though I'm certainly not going to object if anyone else puts them up):

skipped: Test requires module 'HTTP::Server::Simple::PSGI' but it's not found
skipped: Test requires module 'Parallel::Prefork' but it's not found
skipped: Test requires module 'Authen::Simple::Passwd' but it's not found
skipped: Test requires module 'IO::Handle::Util' but it's not found
skipped: Test requires module 'Log::Dispatch::Array' but it's not found

Also, I tried to abstract out some of the messier bits -- namely the handlers/servers into their own subpackages, to prevent, say, mod_perl being pulled in by someone who just wants to run the standalone server.  The "messy bits" are in the plack.macros file, which is only ever used when %included by the spec.  This is a little atypical, but I think it lends itself to a cleaner spec.

Comment 4 Marcela Mašláňová 2010-07-26 10:25:35 UTC
FYI Can't be rebuilt in rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=2351013
From log:
error: line 54: Unknown tag: %tests_subpackage_requires perl-Plack-Handler-Apache2 = 0.9935-1.fc14

Comment 5 Emmanuel Seyman 2010-12-23 15:38:29 UTC
Note that Ralf Corsepius has submitted his own request review for Plack in #664910.

Comment 6 Jason Tibbitts 2010-12-23 15:49:38 UTC
Chris has become inactive, I think, so this ticket should probably just be closed.

*** This bug has been marked as a duplicate of bug 664910 ***


Note You need to log in before you can comment on or make changes to this bug.